#ifndef WMACTION_H
#define WMACTION_H

enum E_WmAction {
  NormalWindow = 0,
  CreateWindow,
  DestroyWindow,
  /* wm "attributes" */
  TakeFocus,
  ReleaseFocus,
  ActiveWindow,
  ChangeDesktopWindow,
  LayerChange,
  ResizeWindow,
  MoveWindow,
  MoveResizeWindow, // 10
  ChangeNameWindow,
  IconGeometry,
  WindowStrut,
  FrameExtents,
  PartialWindowStrut,
  HandleIcons,
  AllowedActions,
  /* wm state */
  MaximizeWindow,
  UnMaximizeWindow,
  MinimizeWindow,
  UnMinimizeWindow,  // 20
  HideWindow,
  UnHideWindow,
  ShadeWindow,
  UnShadeWindow,
  FullScreenWindow,
  UnFullScreenWindow,
  SkipTaskBarWindow,
  UnSkipTaskBarWindow,
  SkipPagerWindow,
  UnSkipPagerWindow,  // 30
  ModalWindow,
  UnModalWindow,
  AlwaysVisibleWindow, /* should rename StickWindow ? */
  NotAlwaysVisibleWindow,
  /* root window properties*/
  ChangeCurrentDesktop,
  ClientStackingList,
  NumberOfDesktops,
  DesktopViewport,
  DesktopGeometry,
  DesktopNames,  // 40
  DesktopLayout,
  DesktopWorkarea,
  ShowingDesktop,
  WindowManagerInfo,
  XineramaInfo,
  /* */
  wmButtonPress,
  wmButtonRelease,
  wmButtonMotion,
  wmKeyPress,
  wmKeyRelease,  // 50
  /* */
  wmSelectionNotify,
  wmSelectionRequest,
  /* */
  EndInit
};


#endif // WMACTION_H
